Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449780 - media-sound/exaile should support USE=dbus
Summary: media-sound/exaile should support USE=dbus
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks:
 
Reported: 2013-01-02 16:34 UTC by mikolaj.bugzilla
Modified: 2013-01-03 00:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
add DEFAULTOPTS variable (exaile-0.3.2.0-Makefile-no-dbus-opt.patch,542 bytes, patch)
2013-01-02 16:34 UTC, mikolaj.bugzilla
Details | Diff
generate-launcher fix (exaile-0.3.2.0-generate-launcher-no-dbus-opt.patch,658 bytes, patch)
2013-01-02 16:35 UTC, mikolaj.bugzilla
Details | Diff
Fixed exaile-0.3.2.0.ebuild (exaile-0.3.2.0.ebuild,2.13 KB, text/plain)
2013-01-02 16:36 UTC, mikolaj.bugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikolaj.bugzilla 2013-01-02 16:34:59 UTC
Created attachment 334048 [details, diff]
add DEFAULTOPTS variable

Current stable exaile-0.3.2.0.ebuild requires dbus as hard dependency, while it
is possible to run exaile with dbus installed by supplying "--no-hal --no-dbus" options. 

Attached are Makefile, tools/generate-launcher patches, as well as fixed ebuild.
Comment 1 mikolaj.bugzilla 2013-01-02 16:35:49 UTC
Created attachment 334050 [details, diff]
generate-launcher fix
Comment 2 mikolaj.bugzilla 2013-01-02 16:36:45 UTC
Created attachment 334052 [details]
Fixed exaile-0.3.2.0.ebuild
Comment 3 mikolaj.bugzilla 2013-01-02 16:41:48 UTC
>with dbus installed by supplying "--no-hal --no-dbus" options.
Should be "without dbus installed (...)"
Comment 4 Jeroen Roovers gentoo-dev 2013-01-03 00:19:29 UTC
Comment on attachment 334052 [details]
Fixed exaile-0.3.2.0.ebuild

--- exaile-0.3.2.0.ebuild       2011-10-24 13:30:42.000000000 +0200
+++ -   2013-01-03 01:19:14.721120515 +0100
@@ -7,19 +7,19 @@
 PYTHON_DEPEND="2:2.6"
 PYTHON_USE_WITH="sqlite"
 
-inherit fdo-mime multilib python
+inherit fdo-mime multilib python eutils
 
 DESCRIPTION="a media player aiming to be similar to AmaroK, but for GTK+"
 HOMEPAGE="http://www.exaile.org/"
-SRC_URI="http://launchpad.net/${PN}/0.3.2/${PV}/+download/${P}.tar.gz"
+SRC_URI="http://launchpad.net/${PN}/0.3.2/${PV}/+download/${P}.tar.gz \
+ ${P}-Makefile-no-dbus-opt.patch.tar.gz ${P}-generate-launcher-no-dbus-opt.patch.tar.gz"
 
 LICENSE="GPL-2 GPL-3"
 SLOT="0"
 KEYWORDS="amd64 ppc ~sparc x86"
-IUSE="cddb libnotify nls"
+IUSE="cddb libnotify nls dbus"
 
-RDEPEND="dev-python/dbus-python
-       >=media-libs/mutagen-1.10
+RDEPEND=">=media-libs/mutagen-1.10
        >=dev-python/pygtk-2.17
        >=dev-python/pygobject-2.18:2
        dev-python/gst-python:0.10
@@ -28,7 +28,8 @@
        libnotify? ( dev-python/notify-python )
        cddb? ( dev-python/cddb-py )"
 DEPEND="nls? ( dev-util/intltool
-       sys-devel/gettext )"
+       sys-devel/gettext )
+       dbus? ( dev-python/dbus-python )"
 
 RESTRICT="test" #315589
 
@@ -40,7 +41,10 @@
 src_prepare() {
        sed -i \
                -e "s:exec python:exec $(PYTHON):" \
-               exaile tools/generate-launcher || die
+               exaile tools/generate-launcher ${WORKDIR}/${P}-generate-launcher-no-dbus-opt.patch || die
+
+       epatch "${WORKDIR}/${P}-Makefile-no-dbus-opt.patch" || die
+       epatch "${WORKDIR}/${P}-generate-launcher-no-dbus-opt.patch" || die
 }
 
 src_compile() {
@@ -50,18 +54,27 @@
 }
 
 src_install() {
-       emake \
-               PREFIX=/usr \
-               LIBINSTALLDIR=/$(get_libdir) \
-               DESTDIR="${D}" \
-               install$(use nls || echo _no_locale) || die
-
-       dodoc FUTURE README || die
-
-       if has_version "<media-sound/exaile-0.3"; then
-               insinto /usr/share/exaile/data
-               doins -r data/migrations || die
-       fi
+
+    if use dbus ; then
+       DEFAULTOPTS="--no-hal --no-dbus"
+       
+    else
+       DEFAULTOPTS=
+    fi
+       
+    emake \
+       DEFAULTOPTS=$DEFAULTOPTS \
+       PREFIX=/usr \
+       LIBINSTALLDIR=/$(get_libdir) \
+       DESTDIR="${D}" \
+       install$(use nls || echo _no_locale) || die
+    
+    dodoc FUTURE README || die
+    
+    if has_version "<media-sound/exaile-0.3"; then
+       insinto /usr/share/exaile/data
+       doins -r data/migrations || die
+    fi
 }
 
 pkg_postinst() {